Spotify über die Squeezebox

karlek
Moderator
Beiträge: 2060
Registriert: 2. November 2011 12:35
SqueezeBox: Touch
SqueezeBox: Radio
SqueezeBox: Boom
SqueezeBox: Classic
SqueezeBox: Transporter
SqueezeBox Server läuft auf: Raspberry Pi 3 (Jessie) mit LMS 7.9
(O2 Joggler mit LMS 7.9)
(QNAP-212 (Turbo) mit LMS 7.9)

Spotify über die Squeezebox

Beitrag von karlek »

Zeile Nummer 1029 kommt mir bekannt vor. Man muss bei der 7.9 noch was ändern, wenn es mit den Plugins nich klappt. Ich habe das in @quadronado s Anleitung geschrieben und auch in einem anderen Thread.

Edit:

viewtopic.php?t=3279#p21018
Linne
Beiträge: 32
Registriert: 21. Januar 2014 08:44
SqueezeBox: Radio
SqueezeBox Server läuft auf: QNAP TS-212 Turbo Station

Re: Spotify über die Squeezebox

Beitrag von Linne »

Tut's leider nicht. Habe es wie beschrieben geändert:

# Compress-Raw-Zlib
# CPAN/Compress/Raw/Zlib.pm
CPAN/arch/*/Compress/Raw/Zlib.pm

CPAN/arch/*/*/auto/Compress/Raw/Zlib/Zlib.so
CPAN/arch/*/*/auto/Compress/Raw/Zlib/autosplit.ix

1084: /opt/ssods4/var/home/SqueezeboxServer/Cache/InstalledPlugins/Plugins/Spotify/Bin/arm-linux/spotifydnoflac: /lib/libc.so.6: version `GLIBC_2.7' not found (required by /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/Cache/InstalledPlugins/Plugins/Spotify/Bin/arm-linux/libspotify.so.12)
1083: /opt/ssods4/var/home/SqueezeboxServer/Cache/InstalledPlugins/Plugins/Spotify/Bin/arm-linux/spotifyd: /lib/libc.so.6: version `GLIBC_2.7' not found (required by /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/Cache/InstalledPlugins/Plugins/Spotify/Bin/arm-linux/libspotify.so.12)
1082: Compilation failed in require at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/Slim/Utils/PluginDownloader.pm line 98.
1081: [15-11-27 14:50:46.7742] Slim::Utils::PluginDownloader::extract (102) error loading Archive::Zip Attempt to reload Archive/Zip.pm aborted.
1080: Compilation failed in require at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/Slim/Utils/PluginDownloader.pm line 98.
1079: [15-11-27 14:50:46.7699] Slim::Utils::PluginDownloader::extract (102) error loading Archive::Zip Attempt to reload Archive/Zip.pm aborted.
1078: Compilation failed in require at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/Slim/Utils/PluginDownloader.pm line 98.
1077: BEGIN failed--compilation aborted at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/Archive/Zip.pm line 11.
1076: Compilation failed in require at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/Archive/Zip.pm line 11.
1075: [15-11-27 14:50:46.7658] Slim::Utils::PluginDownloader::extract (102) error loading Archive::Zip Compress::Raw::Zlib object version 2.021 does not match bootstrap parameter 2.033 at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/arch/5.10/Compress/Raw/Zlib.pm line 98.
1074: [15-11-27 14:50:46.3747] main::init (383) Starting Logitech Media Server (v7.9.0, 1448035497, Mon Nov 23 04:09:12 UTC 2015) perl 5.010000
1073: [15-11-27 14:50:03.7525] Slim::Plugin::Extensions::Settings::handler (33) attempt to set params with band random number - ignoring

Unter 7.8 habe ich noch das Triode-Spotify-Plugin installiert. Aber mit 7.9 kann ich keine Plugins mehr installieren.
karlek
Moderator
Beiträge: 2060
Registriert: 2. November 2011 12:35
SqueezeBox: Touch
SqueezeBox: Radio
SqueezeBox: Boom
SqueezeBox: Classic
SqueezeBox: Transporter
SqueezeBox Server läuft auf: Raspberry Pi 3 (Jessie) mit LMS 7.9
(O2 Joggler mit LMS 7.9)
(QNAP-212 (Turbo) mit LMS 7.9)

Re: Spotify über die Squeezebox

Beitrag von karlek »

Okay, das "." ist Quatsch, sorry. Es muss lauten

Code: Alles auswählen

CPAN/arch/*/Compress/Raw/Zlib.pm
Das lösche ich gleich mal aus dem verlinkten Code.

Versuch mal, ob es dann geht.

Darüber hinaus wäre es, falls die Installation dann immer noch nicht funktioniert, interessant, welche Firmwareversion der 7.9 Du jetzt genommen hast.

Zum Wetter: Ich habe auf meinen Jive-Geräten (Radio, Touch, SqueezePlay) ein Wetter-Applet installiert. Das macht das, was Du gerne hättest: Ein großes aktuelles Bild mit Temperatur und einer Prozentangabe (Niederschlagswahrscheinlichkeit? Luftfeuchtigkeit? Ich schätze ersteres!) und drei kleinere Vorschaubilder mit den gleichen Informationen.
Ein Pendant dazu finde ich nicht unter Plugins. So ganz stecke ich in der Sache LMS versus Jive nicht drin, kann aber gut sein, dass man dieses Applet direkt auf der Box installiert ("Einstellungen"->"Erweitert"->"Applet Installer"-> "Weather Forecast"), ohne zuvor ein Plugin auf dem LMS installiert zu haben.
Dazu habe ich mir auch eine Lizenz für Erlands "Screen Switcher" rausgelassen. Damit kann man in den drei Zuständen "Aus", "Pause" und "Stop" für je zwei feste Zeitspannen und einen Standard Abläufe für installierte Bildschirmschoner programmieren. So gibt es bei mir morgens neben der Uhrzeit im Wechsel das Wetter aus o.g. Applet, Mittags läuft eine Diashow, etc. pp
Linne
Beiträge: 32
Registriert: 21. Januar 2014 08:44
SqueezeBox: Radio
SqueezeBox Server läuft auf: QNAP TS-212 Turbo Station

Re: Spotify über die Squeezebox

Beitrag von Linne »

Wie muss die Zeile denn jz genau heißen?
CPAN/arch/*/Compress/Raw/Zlib ???

Installiert habe ich:
logitechmediaserver-7.9.0-1448035497-arm-linux.tgz
karlek
Moderator
Beiträge: 2060
Registriert: 2. November 2011 12:35
SqueezeBox: Touch
SqueezeBox: Radio
SqueezeBox: Boom
SqueezeBox: Classic
SqueezeBox: Transporter
SqueezeBox Server läuft auf: Raspberry Pi 3 (Jessie) mit LMS 7.9
(O2 Joggler mit LMS 7.9)
(QNAP-212 (Turbo) mit LMS 7.9)

Re: Spotify über die Squeezebox

Beitrag von karlek »

Hast Du mich mitten beim Editieren erwischt?!

So stimmt's:

Code: Alles auswählen

CPAN/arch/*/Compress/Raw/Zlib.pm
Linne
Beiträge: 32
Registriert: 21. Januar 2014 08:44
SqueezeBox: Radio
SqueezeBox Server läuft auf: QNAP TS-212 Turbo Station

Re: Spotify über die Squeezebox

Beitrag von Linne »

Tut's nicht :roll:

Weder
CPAN/arch/*Compress/Raw/Zlib.pm
noch meine eigene Idee
CPAN/arch/*/*/Compress/Raw/Zlib.pm

So siehts jz aus:
# Compress-Raw-Zlib
# CPAN/Compress/Raw/Zlib.pm
CPAN/arch/*/Compress/Raw/Zlib.pm

CPAN/arch/*/*/auto/Compress/Raw/Zlib/Zlib.so
CPAN/arch/*/*/auto/Compress/Raw/Zlib/autosplit.ix

Log:
1153: /opt/ssods4/var/home/SqueezeboxServer/Cache/InstalledPlugins/Plugins/Spotify/Bin/arm-linux/spotifydnoflac: /lib/libc.so.6: version `GLIBC_2.7' not found (required by /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/Cache/InstalledPlugins/Plugins/Spotify/Bin/arm-linux/libspotify.so.12)
1152: /opt/ssods4/var/home/SqueezeboxServer/Cache/InstalledPlugins/Plugins/Spotify/Bin/arm-linux/spotifyd: /lib/libc.so.6: version `GLIBC_2.7' not found (required by /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/Cache/InstalledPlugins/Plugins/Spotify/Bin/arm-linux/libspotify.so.12)
1151: Compilation failed in require at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/Slim/Utils/PluginDownloader.pm line 98.
1150: [15-11-28 00:56:55.5322] Slim::Utils::PluginDownloader::extract (102) error loading Archive::Zip Attempt to reload Archive/Zip.pm aborted.
1149: Compilation failed in require at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/Slim/Utils/PluginDownloader.pm line 98.
1148: [15-11-28 00:56:55.5279] Slim::Utils::PluginDownloader::extract (102) error loading Archive::Zip Attempt to reload Archive/Zip.pm aborted.
1147: Compilation failed in require at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/Slim/Utils/PluginDownloader.pm line 98.
1146: BEGIN failed--compilation aborted at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/Archive/Zip.pm line 11.
1145: Compilation failed in require at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/Archive/Zip.pm line 11.
1144: [15-11-28 00:56:55.5239] Slim::Utils::PluginDownloader::extract (102) error loading Archive::Zip Compress::Raw::Zlib object version 2.021 does not match bootstrap parameter 2.033 at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/arch/5.10/Compress/Raw/Zlib.pm line 98.
1143: [15-11-28 00:56:55.2743] main::init (383) Starting Logitech Media Server (v7.9.0, 1448035497, Mon Nov 23 04:09:12 UTC 2015) perl 5.010000
karlek
Moderator
Beiträge: 2060
Registriert: 2. November 2011 12:35
SqueezeBox: Touch
SqueezeBox: Radio
SqueezeBox: Boom
SqueezeBox: Classic
SqueezeBox: Transporter
SqueezeBox Server läuft auf: Raspberry Pi 3 (Jessie) mit LMS 7.9
(O2 Joggler mit LMS 7.9)
(QNAP-212 (Turbo) mit LMS 7.9)

Re: Spotify über die Squeezebox

Beitrag von karlek »

Mach den * wieder rein und dann nochmal das log.
Linne
Beiträge: 32
Registriert: 21. Januar 2014 08:44
SqueezeBox: Radio
SqueezeBox Server läuft auf: QNAP TS-212 Turbo Station

Re: Spotify über die Squeezebox

Beitrag von Linne »

so siehts jz aus: CPAN/arch/*/*/Compress/Raw/Zlib.pm

Fehler bleibt der gleiche

1164: /opt/ssods4/var/home/SqueezeboxServer/Cache/InstalledPlugins/Plugins/Spotify/Bin/arm-linux/spotifydnoflac: /lib/libc.so.6: version `GLIBC_2.7' not found (required by /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/Cache/InstalledPlugins/Plugins/Spotify/Bin/arm-linux/libspotify.so.12)
1163: /opt/ssods4/var/home/SqueezeboxServer/Cache/InstalledPlugins/Plugins/Spotify/Bin/arm-linux/spotifyd: /lib/libc.so.6: version `GLIBC_2.7' not found (required by /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/Cache/InstalledPlugins/Plugins/Spotify/Bin/arm-linux/libspotify.so.12)
1162: Compilation failed in require at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/Slim/Utils/PluginDownloader.pm line 98.
1161: [15-11-28 08:48:06.1613] Slim::Utils::PluginDownloader::extract (102) error loading Archive::Zip Attempt to reload Archive/Zip.pm aborted.
1160: Compilation failed in require at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/Slim/Utils/PluginDownloader.pm line 98.
1159: [15-11-28 08:48:06.1570] Slim::Utils::PluginDownloader::extract (102) error loading Archive::Zip Attempt to reload Archive/Zip.pm aborted.
1158: Compilation failed in require at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/Slim/Utils/PluginDownloader.pm line 98.
1157: BEGIN failed--compilation aborted at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/Archive/Zip.pm line 11.
1156: Compilation failed in require at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/Archive/Zip.pm line 11.
1155: [15-11-28 08:48:06.1388] Slim::Utils::PluginDownloader::extract (102) error loading Archive::Zip Compress::Raw::Zlib object version 2.021 does not match bootstrap parameter 2.033 at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/arch/5.10/Compress/Raw/Zlib.pm line 98.
1154: [15-11-28 08:48:05.8192] main::init (383) Starting Logitech Media Server (v7.9.0, 1448035497, Mon Nov 23 04:09:12 UTC 2015) perl 5.010000

vllt noch wichtig:
[/] # find -name Zlib.pm
./share/MD0_DATA/.qpkg/LogitechMediaServer/lib/perl5/5.10.0/IO/Zlib.pm
./share/MD0_DATA/.qpkg/LogitechMediaServer/lib/perl5/5.10.0/armv5tel-linux-thread-multi/Compress/Zlib.pm
./share/MD0_DATA/.qpkg/LogitechMediaServer/lib/perl5/5.10.0/armv5tel-linux-thread-multi/Compress/Raw/Zlib.pm
./share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/arch/5.10/Compress/Raw/Zlib.pm
./share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/arch/5.8/Compress/Raw/Zlib.pm
karlek
Moderator
Beiträge: 2060
Registriert: 2. November 2011 12:35
SqueezeBox: Touch
SqueezeBox: Radio
SqueezeBox: Boom
SqueezeBox: Classic
SqueezeBox: Transporter
SqueezeBox Server läuft auf: Raspberry Pi 3 (Jessie) mit LMS 7.9
(O2 Joggler mit LMS 7.9)
(QNAP-212 (Turbo) mit LMS 7.9)

Re: Spotify über die Squeezebox

Beitrag von karlek »

Okay, nur ein * im Pfad, bitte.
Und das allerwichtigste habe ich vergessen: Neustart des LMS über den SSOTS.
Linne
Beiträge: 32
Registriert: 21. Januar 2014 08:44
SqueezeBox: Radio
SqueezeBox Server läuft auf: QNAP TS-212 Turbo Station

Re: Spotify über die Squeezebox

Beitrag von Linne »

also wieder --> CPAN/arch/*/Compress/Raw/Zlib.pm

LMS stop über SSOTS, LMS start über SSOTS

Jetzt sind alle 3 Plugins unter "aktive Plugins"
Lediglich beim Plugin "Wettervorhersage 2.7.3" steht unter Beschreibung: Plugin konnte nicht geladen werden

1192: /opt/ssods4/var/home/SqueezeboxServer/Cache/InstalledPlugins/Plugins/Spotify/Bin/arm-linux/spotifydnoflac: /lib/libc.so.6: version `GLIBC_2.7' not found (required by /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/Cache/InstalledPlugins/Plugins/Spotify/Bin/arm-linux/libspotify.so.12)
1191: /opt/ssods4/var/home/SqueezeboxServer/Cache/InstalledPlugins/Plugins/Spotify/Bin/arm-linux/spotifyd: /lib/libc.so.6: version `GLIBC_2.7' not found (required by /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/Cache/InstalledPlugins/Plugins/Spotify/Bin/arm-linux/libspotify.so.12)
1190: [15-11-28 09:16:06.6199] Slim::Utils::PluginManager::load (323) Error: Couldn't load Plugins::Meteo::Plugin
1189:
1188: BEGIN failed--compilation aborted at (eval 922) line 2.
1187: Compilation failed in require at (eval 922) line 2.
1186: BEGIN failed--compilation aborted at /opt/ssods4/var/home/SqueezeboxServer/Cache/InstalledPlugins/Plugins/Meteo/Plugin.pm line 34.
1185: Compilation failed in require at /opt/ssods4/var/home/SqueezeboxServer/Cache/InstalledPlugins/Plugins/Meteo/Plugin.pm line 34.
1184: BEGIN failed--compilation aborted at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/lib/HTML/FormatText.pm line 68.
1183: Compilation failed in require at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/lib/HTML/FormatText.pm line 68.
1182: BEGIN failed--compilation aborted at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/HTML/Formatter.pm line 106.
1181: Can't locate HTML/Element.pm in @INC (@INC contains: /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/Plugins/MHCPAN /opt/ssods4/var/home/SqueezeboxServer/Cache/InstalledPlugins /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/arch/5.10/arm-linux-gnueabi-thread-multi /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/arch/5.10/arm-linux-gnueabi-thread-multi/auto /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/arch/5.10.0/armv5tel-linux-thread-multi /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/arch/5.10.0/armv5tel-linux-thread-multi/auto /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/arch/5.10/armv5tel-linux-thread-multi /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/arch/5.10/armv5tel-linux-thread-multi/auto /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/arch/armv5tel-linux-thread-multi /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/arch/5.10 /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/lib /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer /opt/ssods4/lib/perl5/5.10.0/armv5tel-linux-thread-multi /opt/ssods4/lib/perl5/5.10.0 /opt/ssods4/lib/perl5/site_perl/5.10.0/armv5tel-linux-thread-multi /opt/ssods4/lib/perl5/site_perl/5.10.0 .) at /share/MD0_DATA/.qpkg/LogitechMediaServer/var/home/SqueezeboxServer/CPAN/HTML/Formatter.pm line 106.
1180: [15-11-28 09:16:06.5909] Slim::bootstrap::tryModuleLoad (286) Warning: Module [Plugins::Meteo::Plugin] failed to load:
1179: [15-11-28 09:15:53.1321] main::init (383) Starting Logitech Media Server (v7.9.0, 1448035497, Mon Nov 23 04:09:12 UTC 2015) perl 5.010000